# frozen_string_literal: true

require_relative "core/version"
require "active_support"
require "active_support/core_ext/object/deep_dup"
require "active_model"

module Composable
  module Core
    class Error < StandardError; end

    autoload :AttributeDSL, "composable/core/attribute_dsl"
    autoload :Callbacks, "composable/core/callbacks"
    autoload :Command, "composable/core/command"
    autoload :ComposableDSL, "composable/core/composable_dsl"
    autoload :InheritableAttributes, "composable/core/inheritable_attributes"
  end
end

require "composable/core/record_invalid" if defined?(ActiveRecord)
