# frozen_string_literal: true

module Composable
  module Core
    # Returns the currently-loaded version of Composable::Core as a <tt>Gem::Version</tt>.
    def self.gem_version
      Gem::Version.new VERSION::STRING
    end

    module VERSION
      MAJOR = 0
      MINOR = 0
      TINY  = 5
      PRE   = nil

      STRING = [MAJOR, MINOR, TINY, PRE].compact.join(".")
    end
  end
end
